# SettingService | windmill-client
Documentation for windmill-client

# Class SettingService

- Defined in src/services.gen.ts:1527

#####
Index

### Constructors

constructor

### Methods

getGlobal
getLatestKeyRenewalAttempt
getLocal
renewLicenseKey
sendStats
setGlobal
testLicenseKey
testMetadata
testObjectStorageConfig
testSmtp

##
Constructors

### constructor

- new SettingService(): SettingService

- #### Returns SettingService

##
Methods

### `Static` getGlobal

- getGlobal(data): CancelablePromise <unknown>

- get global settings

  #### Parameters

  - data: GetGlobalData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1535

### `Static` getLatestKeyRenewalAttempt

- getLatestKeyRenewalAttempt(): CancelablePromise < GetLatestKeyRenewalAttemptResponse >

- get latest key renewal attempt

  #### Returns CancelablePromise < GetLatestKeyRenewalAttemptResponse >

  unknown status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1642

### `Static` getLocal

- getLocal(): CancelablePromise <unknown>

- get local settings

  #### Returns CancelablePromise <unknown>

  unknown status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1570

### `Static` renewLicenseKey

- renewLicenseKey(): CancelablePromise <string>

- renew license key

  #### Returns CancelablePromise <string>

  string status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1654

### `Static` sendStats

- sendStats(): CancelablePromise <string>

- send stats

  #### Returns CancelablePromise <string>

  string status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1630

### `Static` setGlobal

- setGlobal(data): CancelablePromise <string>

- post global settings

  #### Parameters

  - data: SetGlobalData

    The data for the request.

  #### Returns CancelablePromise <string>

  string status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1553

### `Static` testLicenseKey

- testLicenseKey(data): CancelablePromise <string>

- test license key

  #### Parameters

  - data: TestLicenseKeyData

    The data for the request.

  #### Returns CancelablePromise <string>

  string status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1600

### `Static` testMetadata

- testMetadata(data): CancelablePromise <string>

- test metadata

  #### Parameters

  - data: TestMetadataData

    The data for the request.

  #### Returns CancelablePromise <string>

  string status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1668

### `Static` testObjectStorageConfig

- testObjectStorageConfig(data): CancelablePromise <string>

- test object storage config

  #### Parameters

  - data: TestObjectStorageConfigData

    The data for the request.

  #### Returns CancelablePromise <string>

  string status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1616

### `Static` testSmtp

- testSmtp(data): CancelablePromise <string>

- test smtp

  #### Parameters

  - data: TestSmtpData

    The data for the request.

  #### Returns CancelablePromise <string>

  string status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1584